#!/bin/sh

set -e
LOCUST_MODE=${LOCUST_MODE:-standalone}
LOCUST_MASTER_BIND_PORT=${LOCUST_MASTER_BIND_PORT:-5557}
LOCUST_FILE=${LOCUST_FILE:-content_pacing_locustfile.py}

LOCUST_OPTS="-f ${LOCUST_FILE} $LOCUST_OPTS"

case `echo ${LOCUST_MODE} | tr 'a-z' 'A-Z'` in
"MASTER")
    LOCUST_OPTS="--master $LOCUST_OPTS"
    ;;

"WORKER")
    LOCUST_OPTS="--worker --master-host=${MASTER_HOST} --master-port=${LOCUST_MASTER_BIND_PORT} $LOCUST_OPTS"
    if [ -z ${MASTER_HOST+x} ] ; then
        echo "You need to set MASTER_HOST."
        exit 1
    fi
    ;;
esac

cd /perf
echo $LOCUST_OPTS
locust ${LOCUST_OPTS}