#!/bin/bash

BUILD_PACKAGE=${BUILD_PACKAGE:-true}
BUILD_INTEGRATION=${BUILD_INTEGRATION:-false}
PUSH_TO_ARTIFACTORY=${PUSH_TO_ARTIFACTORY:-false}

if [[ ${BUILD_PACKAGE} == "true" ]]; then
    docker build -t cbc-content-pytest-package -f ./docker/tests/Dockerfile.test-package .
fi

if [[ ${BUILD_INTEGRATION} == "true" ]]; then
    docker build -t cbc-content-pytest test/pytest_integration/ -f ./docker/tests/Dockerfile.integration
fi

if [[ "${PUSH_TO_ARTIFACTORY}" != "false" ]]; then
    docker run --rm cbc-content-pytest-package ls
    docker run --rm -e TWINE_USERNAME="$TWINE_USERNAME" -e TWINE_PASSWORD="$TWINE_PASSWORD" cbc-content-pytest-package \
        twine upload /test/cbc-content-pytest/dist/*
fi
