#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
ARTIFACTORY_URL=${CB_DOCKER_REGISTRY_PROD}

LINTER_BUILDER_NAME=cps-linter
source ${DIR}/../../helpers/pretty_print.sh

printp "RUNNING LINTER"

docker build --build-arg "ARTIFACTORY_URL=${ARTIFACTORY_URL}" --build-arg "USW1_ACCESS_TOKEN=${USW1_ACCESS_TOKEN_DEV}" -t ${LINTER_BUILDER_NAME}:latest -f docker/tests/Dockerfile.linter .
docker run --rm ${LINTER_BUILDER_NAME}:latest /bin/bash -c "golangci-lint run"
