#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

UNIT_TEST_BUILDER_NAME=cps-tests
source ${DIR}/../../helpers/pretty_print.sh

ARTIFACTORY_URL=${CB_DOCKER_REGISTRY_PROD}

printp "RUNNING UNIT TESTS"

docker build --build-arg "ARTIFACTORY_URL=${ARTIFACTORY_URL}" -t ${UNIT_TEST_BUILDER_NAME}:latest -f docker/tests/Dockerfile.tests .
docker run --rm ${UNIT_TEST_BUILDER_NAME}:latest /bin/bash -c \
  "go test -race -covermode=atomic -coverprofile=profile.cov ./... && go tool cover -func profile.cov"
